Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.user.domain.impl.hibernate
Class RepoObjectPermission

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.user.domain.impl.hibernate.RepoObjectPermission

All Implemented Interfaces:
  IdedObject, ObjectPermission

    public class RepoObjectPermission

extends java.lang.Object
implements ObjectPermission, IdedObject

Author:
  swood

Constructor Summary
`RepoObjectPermission()`

Method Summary
`void` | `copyFromClient(java.lang.Object obj, PersistentObjectResolver resolver)` Copy from a client object into this one
`boolean` | `equals(java.lang.Object other)`
`long` | `getId()`
`int` | `getPermissionMask()`
`java.lang.Object` | `getPermissionRecipient()` This is a User or a Role
`java.lang.String` | `getURI()`
`int` | `hashCode()`
`void` | `setId(long id)`
`void` | `setPermissionMask(int permissionMask)`
`void` | `setPermissionRecipient(java.lang.Object permissionRecipient)`
`void` | `setURI(java.lang.String URI)`
`java.lang.Object` | `toClient(ResourceFactory clientMappingFactory)` Copy from this into a new client object
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoObjectPermission

    public RepoObjectPermission()

Method Detail

### getId

    public long getId()

  Specified by:
    `getId` in interface `IdedObject`
  Returns:

### setId

    public void setId(long id)

  Specified by:
    `setId` in interface `IdedObject`

### getURI

    public java.lang.String getURI()

  Specified by:
    `getURI` in interface `ObjectPermission`
  See Also:
    `ObjectPermission.getURI()`

### setURI

    public void setURI(java.lang.String URI)

  Specified by:
    `setURI` in interface `ObjectPermission`

### getPermissionRecipient

    public java.lang.Object getPermissionRecipient()

  This is a User or a Role

  Specified by:
    `getPermissionRecipient` in interface `ObjectPermission`

### setPermissionRecipient

    public void setPermissionRecipient(java.lang.Object permissionRecipient)

  Specified by:
    `setPermissionRecipient` in interface `ObjectPermission`

### getPermissionMask

    public int getPermissionMask()

  Specified by:
    `getPermissionMask` in interface `ObjectPermission`
  Returns:

### setPermissionMask

    public void setPermissionMask(int permissionMask)

  Specified by:
    `setPermissionMask` in interface `ObjectPermission`

### copyFromClient

    public void copyFromClient(java.lang.Object obj,
                               PersistentObjectResolver resolver)

  Copy from a client object into this one

  Specified by:
    `copyFromClient` in interface `IdedObject`
  Parameters:
    `objIdent` -
    `resolver` -

### toClient

    public java.lang.Object toClient(ResourceFactory clientMappingFactory)

  Copy from this into a new client object

  Specified by:
    `toClient` in interface `IdedObject`
  Parameters:
    `clientMappingFactory` -

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.